### Enumeration

# WPEPlatform BufferDMABufFormatUsage

#### Declaration

    enum WPEPlatform.BufferDMABufFormatUsage

#### Description [src]

Enum values to indicate the best usage of a `WPEBufferDMABufFormat`.

#### Members

`WPE_BUFFER_DMA_BUF_FORMAT_USAGE_RENDERING`

  Format should be used for rendering.

  - Value: `0`
  - Available since: 2.0
`WPE_BUFFER_DMA_BUF_FORMAT_USAGE_MAPPING`

  Format should be used for mapping buffer.

  - Value: `1`
  - Available since: 2.0
`WPE_BUFFER_DMA_BUF_FORMAT_USAGE_SCANOUT`

  Format should be used for scanout.

  - Value: `2`
  - Available since: 2.0